import { Interpolation, Theme } from '@emotion/react';
import { CommonProps } from '../../types/emotion';
export declare const PersonInfoBase: import("@emotion/styled").StyledComponent<{
    theme?: Theme;
    as?: React.ElementType;
} & CommonProps, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {}>;
export declare const PersonInfoHeader: import("@emotion/styled").StyledComponent<{
    theme?: Theme;
    as?: React.ElementType;
}, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {}>;
export declare const IconWrapper: import("@emotion/styled").StyledComponent<{
    theme?: Theme;
    as?: React.ElementType;
}, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {}>;
export declare const TitleWrapper: import("@emotion/styled").StyledComponent<{
    theme?: Theme;
    as?: React.ElementType;
}, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {}>;
export declare const Title: import("@emotion/styled").StyledComponent<{
    theme?: Theme;
    as?: React.ElementType;
}, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {}>;
export declare const Row: import("@emotion/styled").StyledComponent<{
    theme?: Theme;
    as?: React.ElementType;
}, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {}>;
export declare const TextBase: import("@emotion/styled").StyledComponent<{
    theme?: Theme;
    as?: React.ElementType;
}, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {}>;
export declare const ValueWithCounter: import("@emotion/styled").StyledComponent<{
    theme?: Theme;
    as?: React.ElementType;
}, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {}>;
export declare const Counter: import("@emotion/styled").StyledComponent<{
    theme?: Theme;
    as?: React.ElementType;
} & import("react").ClassAttributes<HTMLSpanElement> & import("react").HTMLAttributes<HTMLSpanElement> & {
    theme?: Theme;
}, {}, {}>;
export declare const CounterTooltipContent: import("@emotion/styled").StyledComponent<{
    theme?: Theme;
    as?: React.ElementType;
}, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {}>;
export declare const CounterTooltipList: import("@emotion/styled").StyledComponent<{
    theme?: Theme;
    as?: React.ElementType;
}, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {}>;
export declare const AttributesList: import("@emotion/styled").StyledComponent<{
    theme?: Theme;
    as?: React.ElementType;
}, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {}>;
export declare const AvatarWrapper: import("@emotion/styled").StyledComponent<{
    theme?: Theme;
    as?: React.ElementType;
}, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {}>;
export declare const BadgeWrapper: import("@emotion/styled").StyledComponent<{
    theme?: Theme;
    as?: React.ElementType;
}, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {}>;
export declare const StyledBadge: import("@emotion/styled").StyledComponent<Omit<Omit<import("react").HTMLProps<HTMLDivElement>, "size"> & import("..").BadgeProps, "ref"> & import("react").RefAttributes<HTMLDivElement> & {
    theme?: Theme;
}, {}, {}>;
export declare const CustomBadge: import("@emotion/styled").StyledComponent<{
    theme?: Theme;
    as?: React.ElementType;
} & {
    colorName: keyof MainColors;
}, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {}>;
export declare const personInfoValueLinkStyles: Interpolation<Theme>;
export declare const avatarWrapperLinkStyles: Interpolation<Theme>;
